Bug 1269271 - Object Map & Erasure Coding documentation
Object Map & Erasure Coding documentation
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.1
Assigned To: ceph-docs@redhat.com
Depends On:
  Show dependency treegraph
Reported: 2015-10-06 16:24 EDT by monti lawrence
Modified: 2016-07-10 18:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-18 04:59:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description monti lawrence 2015-10-06 16:24:24 EDT
**Object Map**
    Index of objects that actually exist.
    Valuable against clones that don't have actual objects, but gets object from parent.
    Reads and writes that do copy ups.
    Improves performance, because map has data already.
    Off by default.

**Erasure coding**
    Can't do omap on erasure coded pool
    Placement policies
    Admin sets default user for placement/region/zone
    Should have a hierarchy set up for different pools.

Add to Architecture Guide
Comment 3 Nilamdyuti 2015-10-15 14:25:43 EDT
As per devel review, updated the content in the following commit:


See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-architecture/blob/v1.3/architecture.adoc#object-map

The Object Map content is now reviewed and finalized.
Comment 7 Anjana Suparna Sriram 2015-12-18 04:59:38 EST
Fixed for 1.3.1 Release.

Note You need to log in before you can comment on or make changes to this bug.